<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ynfy.buss.exam.paperquestion.mapper.PaperQuestionMapper">
    <select id="listByPaperId" resultType="com.ynfy.buss.exam.paperquestion.entity.PaperQuestion">
        SELECT
            pq.*
        FROM
            paper_question pq
                LEFT JOIN paper_rule_group prg ON pq.group_id = prg.ID
        WHERE
            pq.paper_id = #{paperId}
        ORDER BY
            prg.sort
    </select>
</mapper>